#include <stdio.h>
#include <math.h>
#include <stdlib.h>
#include <string.h>

int ** hcurve;

void rotate(int n, int *x, int *y, int rx, int ry);
void ihorder(int n, int d, int *x, int *y);
int validArgs(int argc, char** argv);
int checkCoor(int coor, int order);

int validArgs(int argc, char** argv){
  if(argc != 5){
    return -1;
  }

  int input = atoi(argv[4]);
  int order = atoi(argv[2]);

  if(checkCoor(input, order) < 0){
    return -1;
  }
  return 1;
}

void rotate(int n, int *x, int *y, int rx, int ry) {
  if (ry == 0) {
    if (rx == 1) {
      *x = n-1 - *x;
      *y = n-1 - *y;
    }
 
    //Swap x and y
    int t  = *x;
    *x = *y;
    *y = t;
  }
}
 
void ihorder(int n, int d, int *x, int *y) {
  int rx, ry, s, t=d;
  *x = *y = 0;
  for (s=1; s<n; s*=2) {
    rx = 1 & (t/2);
    ry = 1 & (t ^ rx);
    rotate(s, x, y, rx, ry);
    *x += s * rx;
    *y += s * ry;
    t /= 4;
  }
}

